From: Emmanuel Arias <eamanu@yaerobi.com>
Date: Sat, 8 Aug 2020 20:36:57 -0300
Subject: Avoid timestamps in gzip-compressed file and use compressionlevel=9
 to reduce data size

Forwarded: https://github.com/euske/pdfminer/pull/119

Updated patch.
---
 tools/conv_cmap.py | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

diff --git a/tools/conv_cmap.py b/tools/conv_cmap.py
index 3f782c8..78196c2 100755
--- a/tools/conv_cmap.py
+++ b/tools/conv_cmap.py
@@ -185,16 +185,21 @@ def main(argv):
         fname = '%s.pickle.gz' % enc
         path = os.path.join(outdir, fname)
         print('writing: %r...' % path)
-        fp = gzip.open(path, 'wb')
-        converter.dump_cmap(fp, enc)
-        fp.close()
+        with open(path, 'wb') as fp:
+            # with statement support for GzipFile is available only from Python
+            # 2.7
+            fgz = gzip.GzipFile('', 'wb', 9, fp, 0.)
+            converter.dump_cmap(fgz, enc)
+            fgz.close()
 
     fname = 'to-unicode-%s.pickle.gz' % regname
     path = os.path.join(outdir, fname)
     print('writing: %r...' % path)
-    fp = gzip.open(path, 'wb')
-    converter.dump_unicodemap(fp)
-    fp.close()
+    with open(path, 'wb') as fp:
+        # with statement support for GzipFile is available only from Python
+        # 2.7
+        fgz = gzip.GzipFile('', 'wb', 9, fp, 0.)
+        converter.dump_unicodemap(fgz)
     return
 
 
